- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
BpGraph::RedNode Class Reference

## Detailed Description

This class represents the red nodes of the graph. It does not supposed to be used directly, because the nodes can be represented as Node instances. This class can be used as template parameter for special map classes.

`#include <lemon/concepts/bpgraph.h>`

Inheritance diagram for BpGraph::RedNode:
[legend]

## Public Member Functions
| RedNode ()
| Default constructor. More...
| RedNode (const RedNode &)
| Copy constructor. More...
| RedNode (Invalid)
| Invalid constructor & conversion. More...
Public Member Functions inherited from BpGraph::Node
| Node ()
| Default constructor. More...
| Node (const Node &)
| Copy constructor. More...
| Node (Invalid)
| Invalid constructor & conversion. More...
bool | operator== (Node) const
| Equality operator. More...
bool | operator!= (Node) const
| Inequality operator. More...
bool | operator< (Node) const
| Artificial ordering operator. More...

## Constructor & Destructor Documentation

RedNode | ( |  | ) |
| inline

Default constructor.

Warning
  It sets the object to an undefined value.

RedNode | ( | const RedNode & |  | ) |
| inline

Copy constructor.

RedNode | ( | Invalid |  | ) |
| inline

Initializes the object to be invalid.

See Also
  Invalid for more details.